<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Scripts/4_world/dayzexpansion/entities/houses/land_house_1w03_brown.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/db7/a02450_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">land_house_1w03_brown.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/db7/a02450.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * Land_House_1W03_Brown.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="keyword">class </span>Land_House_1W03_Brown <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d21/a05245.html">BuildingWithFireplace</a></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>{</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d4/d21/a05245.html#a8a38aea68286d865aa722384e8733064">   14</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d21/a05245.html#a8a38aea68286d865aa722384e8733064">HasInterior</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d4/d21/a05245.html#a9351c017b5c5c1b13c9b789d64e2802d">   19</a></span>        <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d21/a05245.html#a9351c017b5c5c1b13c9b789d64e2802d">HasIvys</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d4/d21/a05245.html#af2bc3ca1d6e2cd7239da3ef544929f25">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d21/a05245.html#af2bc3ca1d6e2cd7239da3ef544929f25">SpawnIvys</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="comment">//Ivy</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_N&quot;</span>, <span class="stringliteral">&quot;-4.300001 0.350021 -8.500013&quot;</span>, <span class="stringliteral">&quot;90.000038 -89.000046 -0.000005&quot;</span> );</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_M&quot;</span>, <span class="stringliteral">&quot;-4.249996 0.150009 -2.050002&quot;</span>, <span class="stringliteral">&quot;90.000000 -89.000046 -0.000009&quot;</span> );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_L&quot;</span>, <span class="stringliteral">&quot;-4.300001 0.000000 2.209999&quot;</span>, <span class="stringliteral">&quot;89.000000 -89.000046 0.000000&quot;</span> );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_N&quot;</span>, <span class="stringliteral">&quot;-4.300001 -2.700165 8.770005&quot;</span>, <span class="stringliteral">&quot;-90.000038 89.000046 -0.000005&quot;</span> );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_A&quot;</span>, <span class="stringliteral">&quot;-4.100000 0.550034 8.600003&quot;</span>, <span class="stringliteral">&quot;90.000038 -89.000046 -0.000005&quot;</span> );</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_M&quot;</span>, <span class="stringliteral">&quot;-1.550000 2.600159 -4.350000&quot;</span>, <span class="stringliteral">&quot;-91.000031 -38.999992 -179.000061&quot;</span> );</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_N&quot;</span>, <span class="stringliteral">&quot;-1.532442 2.604607 0.304621&quot;</span>, <span class="stringliteral">&quot;-91.000038 -36.000011 -179.999924&quot;</span> );</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_A&quot;</span>, <span class="stringliteral">&quot;-1.450001 2.650162 0.350000&quot;</span>, <span class="stringliteral">&quot;-90.000000 -43.000011 -179.999954&quot;</span> );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_N&quot;</span>, <span class="stringliteral">&quot;-1.500001 2.850052 8.850012&quot;</span>, <span class="stringliteral">&quot;-89.000000 -32.999989 -3.000001&quot;</span> );</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_N&quot;</span>, <span class="stringliteral">&quot;0.799999 -2.699982 8.900003&quot;</span>, <span class="stringliteral">&quot;179.999985 81.999985 179.999985&quot;</span> );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_L&quot;</span>, <span class="stringliteral">&quot;-2.333602 -99.155983 8.574102&quot;</span>, <span class="stringliteral">&quot;0.000000 0.000000 0.000000&quot;</span> );</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_L&quot;</span>, <span class="stringliteral">&quot;-3.049999 -99.632385 8.750001&quot;</span>, <span class="stringliteral">&quot;90.000046 -58.000011 90.000000&quot;</span> );</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_N&quot;</span>, <span class="stringliteral">&quot;0.850002 -2.500092 8.550000&quot;</span>, <span class="stringliteral">&quot;-90.000000 89.000046 -0.000005&quot;</span> );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_N&quot;</span>, <span class="stringliteral">&quot;0.800001 0.349960 -2.049999&quot;</span>, <span class="stringliteral">&quot;90.000015 -89.000046 -0.000005&quot;</span> );</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_special_E&quot;</span>, <span class="stringliteral">&quot;-3.479879 2.200035 0.969770&quot;</span>, <span class="stringliteral">&quot;69.785416 1.694371 -7.222174&quot;</span> );</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_M&quot;</span>, <span class="stringliteral">&quot;0.862103 0.209206 4.322373&quot;</span>, <span class="stringliteral">&quot;-90.000000 -80.000008 -0.000009&quot;</span> );</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_A&quot;</span>, <span class="stringliteral">&quot;0.850000 -2.450150 -2.149999&quot;</span>, <span class="stringliteral">&quot;84.000031 0.000000 -91.000015&quot;</span> );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_A&quot;</span>, <span class="stringliteral">&quot;0.971599 0.641396 -2.067057&quot;</span>, <span class="stringliteral">&quot;-84.374657 50.000004 0.000000&quot;</span> );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_M&quot;</span>, <span class="stringliteral">&quot;-1.113557 2.622612 4.917463&quot;</span>, <span class="stringliteral">&quot;89.000000 -48.000004 -179.000061&quot;</span> );</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_N&quot;</span>, <span class="stringliteral">&quot;-1.200000 2.650101 -1.899999&quot;</span>, <span class="stringliteral">&quot;90.000015 -44.000000 0.000000&quot;</span> );</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_roof_A&quot;</span>, <span class="stringliteral">&quot;2.749999 0.802307 -7.550010&quot;</span>, <span class="stringliteral">&quot;97.000038 -78.000015 173.999863&quot;</span> );</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_N&quot;</span>, <span class="stringliteral">&quot;2.687283 0.724762 -2.256127&quot;</span>, <span class="stringliteral">&quot;-90.000015 22.999985 0.000000&quot;</span> );</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_K&quot;</span>, <span class="stringliteral">&quot;-1.144691 2.692078 -4.008764&quot;</span>, <span class="stringliteral">&quot;95.000031 -36.999992 175.999908&quot;</span> );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_A&quot;</span>, <span class="stringliteral">&quot;-1.220000 2.899994 -8.920002&quot;</span>, <span class="stringliteral">&quot;89.000046 -44.000008 174.999969&quot;</span> );</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_A&quot;</span>, <span class="stringliteral">&quot;2.660046 0.786980 -5.552777&quot;</span>, <span class="stringliteral">&quot;-170.999756 0.000000 89.000000&quot;</span> );</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_D&quot;</span>, <span class="stringliteral">&quot;0.201669 1.233521 -8.653591&quot;</span>, <span class="stringliteral">&quot;90.000145 42.000015 -89.999992&quot;</span> );</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_J&quot;</span>, <span class="stringliteral">&quot;0.349680 -1.127434 -8.700433&quot;</span>, <span class="stringliteral">&quot;-88.999977 0.000000 88.999954&quot;</span> );</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_N&quot;</span>, <span class="stringliteral">&quot;-4.299999 -2.700226 -8.699991&quot;</span>, <span class="stringliteral">&quot;-0.000009 89.000046 179.999954&quot;</span> );</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        SpawnInteriorIvy( <span class="stringliteral">&quot;bldr_plnt_ivy_special_C&quot;</span>, <span class="stringliteral">&quot;2.501377 0.419395 -2.993032&quot;</span>, <span class="stringliteral">&quot;-124.999939 -89.000046 179.999985&quot;</span> );</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>}</div>
<div class="ttc" id="aa05245_html"><div class="ttname"><a href="../../d4/d21/a05245.html">BuildingWithFireplace</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d8b/a01469_source.html#l00673">fireplaces.c:673</a></div></div>
<div class="ttc" id="aa05245_html_a8a38aea68286d865aa722384e8733064"><div class="ttname"><a href="../../d4/d21/a05245.html#a8a38aea68286d865aa722384e8733064">BuildingWithFireplace::HasInterior</a></div><div class="ttdeci">override bool HasInterior()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/db7/a02450_source.html#l00014">land_house_1w03_brown.c:14</a></div></div>
<div class="ttc" id="aa05245_html_a9351c017b5c5c1b13c9b789d64e2802d"><div class="ttname"><a href="../../d4/d21/a05245.html#a9351c017b5c5c1b13c9b789d64e2802d">BuildingWithFireplace::HasIvys</a></div><div class="ttdeci">override bool HasIvys()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/db7/a02450_source.html#l00019">land_house_1w03_brown.c:19</a></div></div>
<div class="ttc" id="aa05245_html_af2bc3ca1d6e2cd7239da3ef544929f25"><div class="ttname"><a href="../../d4/d21/a05245.html#af2bc3ca1d6e2cd7239da3ef544929f25">BuildingWithFireplace::SpawnIvys</a></div><div class="ttdeci">override void SpawnIvys()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/db7/a02450_source.html#l00025">land_house_1w03_brown.c:25</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_5b6a53149ee7579c80529fd9998a2b4c.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_864c6f328578ae932bfe3d376685b434.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_be440f22580ce99ff5165b31aacfa13d.html">dayzexpansion</a></li><li class="navelem"><a class="el" href="../../dir_0d13345ef38b852a3bc96310936aad4f.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_ed8ad5a3820938d673574a15993af4db.html">houses</a></li><li class="navelem"><a class="el" href="../../d8/db7/a02450.html">land_house_1w03_brown.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
